Cyberduck Mountain Duck CLI

#8245 closed defect (fixed)

Passwords not looked up in keychain

Reported by: narrationsd Owned by: dkocher
Priority: normal Milestone: 4.6
Component: sftp Version: Nightly Build
Severity: major Keywords:
Cc: Architecture: Intel
Platform: Windows 8

Description

I let Cyberduck upgrade itself, as normal, to 4.5.3 15241, as I am trying to help you catch bugs.

None of my shortcuts succeed to log in. They show me a login/password screen. I assure the save box is checked. I enter the password, and login is successful. I log out. I try again. The password has not been remembered, and i have to enter it yet again.

That is all...

Change History (5)

comment:1 Changed on Oct 4, 2014 at 11:44:25 AM by dkocher

  • Milestone set to 4.5.3
  • Owner set to dkocher
  • Status changed from new to assigned

comment:2 Changed on Oct 5, 2014 at 10:41:37 AM by dkocher

Regression in r15241.

comment:3 Changed on Oct 6, 2014 at 2:56:42 PM by dkocher

  • Component changed from core to sftp
  • Summary changed from This version loses 4.5.3 all sftp passwords, and doesn't remember them either to Passwords not looked up in keychain

comment:4 Changed on Oct 7, 2014 at 1:29:26 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r15305.

comment:5 Changed on Oct 10, 2014 at 7:30:24 AM by narrationsd

Agree this is fixed, David, thanks. All passwords returned for sites, and in testing I even opened an S3.

Note: See TracTickets for help on using tickets.
swiss made software